tableseg
Prev | Orchestra Opcodes and Operators | Next

## tableseg

tableseg — Creates a new function table by making linear segments between values in stored function tables.

## Description

tableseg is like linseg but interpolate between values in a stored function tables. The result is a new function table passed internally to any following vpvoc which occurs before a subsequent tableseg (much like lpread/lpreson pairs work). The uses of these are described below under vpvoc.

Note: this opcode can also be written as ktableseg.

## Syntax

    tableseg ifn1, idur1, ifn2 [, idur2] [, ifn3] [...]

## Initialization

ifn1, ifn2, ifn3, etc. -- function table numbers. ifn1, ifn2, and so on, must be the same size.

idur1, idur2, etc. -- durations during which interpolation from one table to the next will take place.

## See Also

pvbufread, pvcross, pvinterp, pvread, tablexseg

## Credits

Author: Richard Karpen
Seattle, Wash
1997

Prev | Up | Next
tablera | Home | tablew